--- old/usr/src/test/zfs-tests/tests/functional/privilege/privilege_001_pos.ksh	Wed Aug 31 16:21:22 2016
+++ new/usr/src/test/zfs-tests/tests/functional/privilege/privilege_001_pos.ksh	Wed Aug 31 16:21:22 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -59,33 +59,33 @@
 
 log_assert "The RBAC profile \"ZFS Storage Management\" works"
 
-ZFS_USER=$($CAT /tmp/zfs-privs-test-user.txt)
+ZFS_USER=$(cat /tmp/zfs-privs-test-user.txt)
 
 # the user shouldn't be able to do anything initially
-log_mustnot $SU $ZFS_USER -c "$ZPOOL create $TESTPOOL $DISKS"
-log_mustnot $SU $ZFS_USER -c "$PFEXEC $ZPOOL create $TESTPOOL $DISKS"
+log_mustnot su $ZFS_USER -c "zpool create $TESTPOOL $DISKS"
+log_mustnot su $ZFS_USER -c "pfexec zpool create $TESTPOOL $DISKS"
 
 # the first time we assign the profile, we insist it should work
-log_must $USERMOD -P "ZFS Storage Management" $ZFS_USER
-log_must $SU $ZFS_USER -c "$PFEXEC $ZPOOL create -f $TESTPOOL $DISKS"
+log_must usermod -P "ZFS Storage Management" $ZFS_USER
+log_must su $ZFS_USER -c "pfexec zpool create -f $TESTPOOL $DISKS"
 
 # ensure the user can't create a filesystem with this profile
-log_mustnot $SU $ZFS_USER -c "$ZFS create $TESTPOOL/fs"
+log_mustnot su $ZFS_USER -c "zfs create $TESTPOOL/fs"
 
 # add ZFS File System Management profile, and try to create a fs
-log_must $USERMOD -P "ZFS File System Management" $ZFS_USER
-log_must $SU $ZFS_USER -c "$PFEXEC $ZFS create $TESTPOOL/fs"
+log_must usermod -P "ZFS File System Management" $ZFS_USER
+log_must su $ZFS_USER -c "pfexec zfs create $TESTPOOL/fs"
 
 # revoke File System Management profile
-$USERMOD -P, $ZFS_USER
-$USERMOD -P "ZFS Storage Management" $ZFS_USER
+usermod -P, $ZFS_USER
+usermod -P "ZFS Storage Management" $ZFS_USER
 
 # ensure the user can destroy pools
-log_mustnot $SU $ZFS_USER -c "$ZPOOL destroy $TESTPOOL"
-log_must $SU $ZFS_USER -c "$PFEXEC $ZPOOL destroy $TESTPOOL"
+log_mustnot su $ZFS_USER -c "zpool destroy $TESTPOOL"
+log_must su $ZFS_USER -c "pfexec zpool destroy $TESTPOOL"
 
 # revoke Storage Management profile
-$USERMOD -P, $ZFS_USER
-log_mustnot $SU $ZFS_USER -c "$PFEXEC $ZPOOL create -f $TESTPOOL $DISKS"
+usermod -P, $ZFS_USER
+log_mustnot su $ZFS_USER -c "pfexec zpool create -f $TESTPOOL $DISKS"
 
 log_pass "The RBAC profile \"ZFS Storage Management\" works"
--- old/usr/src/test/zfs-tests/tests/functional/privilege/privilege_002_pos.ksh	Wed Aug 31 16:21:22 2016
+++ new/usr/src/test/zfs-tests/tests/functional/privilege/privilege_002_pos.ksh	Wed Aug 31 16:21:22 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -62,11 +62,11 @@
 
 log_assert "The RBAC profile \"ZFS File System Management\" works"
 
-ZFS_USER=$($CAT /tmp/zfs-privs-test-user.txt)
+ZFS_USER=$(cat /tmp/zfs-privs-test-user.txt)
 
 # Set a $DATASET where we can create child files systems
 if is_global_zone; then
-	log_must $ZPOOL create -f $TESTPOOL $DISKS
+	log_must zpool create -f $TESTPOOL $DISKS
 	DATASET=$TESTPOOL
 else
 	DATASET=zonepool/zonectr0
@@ -73,29 +73,29 @@
 fi
 
 # A user shouldn't be able to create filesystems
-log_mustnot $SU $ZFS_USER -c "$ZFS create $DATASET/zfsprivfs"
+log_mustnot su $ZFS_USER -c "zfs create $DATASET/zfsprivfs"
 
 # Insist this invocation of usermod works
-log_must $USERMOD -P "ZFS File System Management" $ZFS_USER
+log_must usermod -P "ZFS File System Management" $ZFS_USER
 
 # Now try to create file systems as the user
-log_mustnot $SU $ZFS_USER -c "$ZFS create $DATASET/zfsprivfs"
-log_must $SU $ZFS_USER -c "$PFEXEC $ZFS create $DATASET/zfsprivfs"
+log_mustnot su $ZFS_USER -c "zfs create $DATASET/zfsprivfs"
+log_must su $ZFS_USER -c "pfexec zfs create $DATASET/zfsprivfs"
 
 # Ensure the user can't do anything to pools in this state:
-log_mustnot $SU $ZFS_USER -c "$ZPOOL destroy $DATASET"
-log_mustnot $SU $ZFS_USER -c "$PFEXEC $ZPOOL destroy $DATASET"
+log_mustnot su $ZFS_USER -c "zpool destroy $DATASET"
+log_mustnot su $ZFS_USER -c "pfexec zpool destroy $DATASET"
 
 # revoke File System Management profile
-$USERMOD -P, $ZFS_USER
+usermod -P, $ZFS_USER
 
 # Ensure the user can't create more filesystems
-log_mustnot $SU $ZFS_USER -c "$ZFS create $DATASET/zfsprivfs2"
-log_mustnot $SU $ZFS_USER -c "$PFEXEC $ZFS create $DATASET/zfsprivfs2"
+log_mustnot su $ZFS_USER -c "zfs create $DATASET/zfsprivfs2"
+log_mustnot su $ZFS_USER -c "pfexec zfs create $DATASET/zfsprivfs2"
 
 # assign the profile again and destroy the fs.
-$USERMOD -P "ZFS File System Management" $ZFS_USER
-log_must $SU $ZFS_USER -c "$PFEXEC $ZFS destroy $DATASET/zfsprivfs"
-$USERMOD -P, $ZFS_USER
+usermod -P "ZFS File System Management" $ZFS_USER
+log_must su $ZFS_USER -c "pfexec zfs destroy $DATASET/zfsprivfs"
+usermod -P, $ZFS_USER
 
 log_pass "The RBAC profile \"ZFS File System Management\" works"
--- old/usr/src/test/zfs-tests/tests/functional/privilege/setup.ksh	Wed Aug 31 16:21:22 2016
+++ new/usr/src/test/zfs-tests/tests/functional/privilege/setup.ksh	Wed Aug 31 16:21:22 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -36,10 +36,10 @@
 
 # if we're running NIS, turn it off until we clean up
 # (it can cause useradd to take a long time, hitting our TIMEOUT)
-$SVCS svc:/network/nis/client:default | $GREP online > /dev/null
+svcs svc:/network/nis/client:default | grep online > /dev/null
 if [ $? -eq 0 ]
 then
-  $SVCADM disable svc:/network/nis/client:default
+  svcadm disable svc:/network/nis/client:default
   USES_NIS=true
 fi
 
@@ -58,8 +58,8 @@
   fi
 done
 
-log_must $MKDIR -p /export/home/$ZFS_USER
-log_must $USERADD -c "ZFS Privileges Test User" -d /export/home/$ZFS_USER $ZFS_USER
+log_must mkdir -p /export/home/$ZFS_USER
+log_must useradd -c "ZFS Privileges Test User" -d /export/home/$ZFS_USER $ZFS_USER
 
 echo $ZFS_USER > /tmp/zfs-privs-test-user.txt
 echo $USES_NIS > /tmp/zfs-privs-test-nis.txt
--- old/usr/src/test/zfs-tests/tests/functional/quota/quota.kshlib	Wed Aug 31 16:21:23 2016
+++ new/usr/src/test/zfs-tests/tests/functional/quota/quota.kshlib	Wed Aug 31 16:21:23 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/quota/quota.cfg
@@ -44,19 +44,19 @@
 	typeset FILESYSTEM="$1"
 	typeset MNTPT="$2"
 
-	log_must $ZFS set quota=$QUOTA_VALUE $FILESYSTEM
+	log_must zfs set quota=$QUOTA_VALUE $FILESYSTEM
 
 	typeset -i write_size=0
 	(( write_size = 2 * QUOTA_VALUE ))
 
 	typeset -i zret=0
-	$FILE_WRITE -o create -f $MNTPT/$TESTFILE1 -b $BLOCK_SIZE \
+	file_write -o create -f $MNTPT/$TESTFILE1 -b $BLOCK_SIZE \
 		 -c $write_size -d 0
 	zret=$?
         [[ $zret -ne EDQUOT ]] && \
             log_fail "Returned error code: $zret. Expected: $EDQUOT."
 
-	typeset -i file_size=`$LS -ls $MNTPT/$TESTFILE1 | $AWK '{ print $1 }'`
+	typeset -i file_size=`ls -ls $MNTPT/$TESTFILE1 | awk '{ print $1 }'`
 	typeset -i limit=0
 	(( file_size = file_size * 512 ))
 	(( limit = QUOTA_VALUE + TOLERANCE ))
@@ -82,7 +82,7 @@
 	# Writing a file without API to access return code
 	#
 	log_note "Creating a file in a FS that has already exceeded its quota"
-	$FILE_WRITE -o create -f $MNTPT/$TESTFILE2 \
+	file_write -o create -f $MNTPT/$TESTFILE2 \
 		-b $BLOCK_SIZE -c $write_size -d 0
 	zret=$?
 	[[ $zret -ne EDQUOT ]] && \
--- old/usr/src/test/zfs-tests/tests/functional/quota/quota_001_pos.ksh	Wed Aug 31 16:21:23 2016
+++ new/usr/src/test/zfs-tests/tests/functional/quota/quota_001_pos.ksh	Wed Aug 31 16:21:23 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -56,7 +56,7 @@
 function cleanup
 {
 	[[ -e $TESTDIR/$TESTFILE1 ]] && \
-	    log_must $RM $TESTDIR/$TESTFILE1
+	    log_must rm $TESTDIR/$TESTFILE1
 	#
 	# Need to allow time for space to be released back to
 	# pool, otherwise next test will fail trying to set a
--- old/usr/src/test/zfs-tests/tests/functional/quota/quota_002_pos.ksh	Wed Aug 31 16:21:23 2016
+++ new/usr/src/test/zfs-tests/tests/functional/quota/quota_002_pos.ksh	Wed Aug 31 16:21:23 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -57,10 +57,10 @@
 function cleanup
 {
         [[ -e $TESTDIR/$TESTFILE1 ]] && \
-            log_must $RM $TESTDIR/$TESTFILE1
+            log_must rm $TESTDIR/$TESTFILE1
 
 	[[ -e $TESTDIR/$TESTFILE2 ]] && \
-            log_must $RM $TESTDIR/$TESTFILE2
+            log_must rm $TESTDIR/$TESTFILE2
 }
 
 log_onexit cleanup
--- old/usr/src/test/zfs-tests/tests/functional/quota/quota_003_pos.ksh	Wed Aug 31 16:21:23 2016
+++ new/usr/src/test/zfs-tests/tests/functional/quota/quota_003_pos.ksh	Wed Aug 31 16:21:23 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -58,7 +58,7 @@
 function cleanup
 {
 	[[ -e $TESTDIR1/$TESTFILE1 ]] && \
-	    log_must $RM $TESTDIR1/$TESTFILE1
+	    log_must rm $TESTDIR1/$TESTFILE1
 
 	#
         # Need to allow time for space to be released back to
--- old/usr/src/test/zfs-tests/tests/functional/quota/quota_004_pos.ksh	Wed Aug 31 16:21:23 2016
+++ new/usr/src/test/zfs-tests/tests/functional/quota/quota_004_pos.ksh	Wed Aug 31 16:21:23 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -58,10 +58,10 @@
 function cleanup
 {
         [[ -e $TESTDIR1/$TESTFILE1 ]] && \
-            log_must $RM $TESTDIR1/$TESTFILE1
+            log_must rm $TESTDIR1/$TESTFILE1
 
 	[[ -e $TESTDIR1/$TESTFILE2 ]] && \
-            log_must $RM $TESTDIR1/$TESTFILE2
+            log_must rm $TESTDIR1/$TESTFILE2
 }
 
 log_onexit cleanup
--- old/usr/src/test/zfs-tests/tests/functional/quota/quota_005_pos.ksh	Wed Aug 31 16:21:23 2016
+++ new/usr/src/test/zfs-tests/tests/functional/quota/quota_005_pos.ksh	Wed Aug 31 16:21:23 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -49,9 +49,9 @@
 function cleanup
 {
 	datasetexists $fs_child && \
-		log_must $ZFS destroy $fs_child
+		log_must zfs destroy $fs_child
 
-	log_must $ZFS set quota=$quota_val $fs
+	log_must zfs set quota=$quota_val $fs
 }
 
 log_onexit cleanup
@@ -66,9 +66,9 @@
 quota_val=$(get_prop quota $fs)
 typeset -i quotasize=$space_avail
 ((quotasize = quotasize * 2 ))
-log_must $ZFS set quota=$quotasize $fs
+log_must zfs set quota=$quotasize $fs
 
-log_must $ZFS create $fs_child
+log_must zfs create $fs_child
 quota_space=$(get_prop quota $fs_child)
 [[ $quota_space == $quotasize ]] && \
 	log_fail "The quota of child dataset inherits its value from parent."
--- old/usr/src/test/zfs-tests/tests/functional/quota/quota_006_neg.ksh	Wed Aug 31 16:21:23 2016
+++ new/usr/src/test/zfs-tests/tests/functional/quota/quota_006_neg.ksh	Wed Aug 31 16:21:23 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -50,7 +50,7 @@
 
 function cleanup
 {
-	log_must $ZFS set quota=none $TESTPOOL/$TESTFS
+	log_must zfs set quota=none $TESTPOOL/$TESTFS
 }
 
 log_onexit cleanup
@@ -64,8 +64,8 @@
 
 for size in 0 -1 $quota_integer_size -$quota_integer_size $quota_fp_size -$quota_fp_size \
 	$invalid_size ; do
-	log_mustnot $ZFS set quota=$size $TESTPOOL/$TESTFS
+	log_mustnot zfs set quota=$size $TESTPOOL/$TESTFS
 done
-log_must $ZFS set quota=$space_used $TESTPOOL/$TESTFS
+log_must zfs set quota=$space_used $TESTPOOL/$TESTFS
 
 log_pass "As expected cannot set quota lower than space currently in use"
--- old/usr/src/test/zfs-tests/tests/functional/redundancy/redundancy.kshlib	Wed Aug 31 16:21:23 2016
+++ new/usr/src/test/zfs-tests/tests/functional/redundancy/redundancy.kshlib	Wed Aug 31 16:21:23 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2013, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -39,7 +39,7 @@
 	typeset dir
 	for dir in $TESTDIR $BASEDIR; do
 		if [[ -d $dir ]]; then
-			log_must $RM -rf $dir
+			log_must rm -rf $dir
 		fi
 	done
 }
@@ -63,7 +63,7 @@
 		fi
 	done
 
-	$ECHO $value
+	echo $value
 }
 
 #
@@ -79,16 +79,16 @@
 	typeset recordfile=$2
 
 	[[ -z $pool ]] && log_fail "No specified pool."
-	[[ -f $recordfile ]] && log_must $RM -f $recordfile
+	[[ -f $recordfile ]] && log_must rm -f $recordfile
 
 	typeset mntpnt
 	mntpnt=$(get_prop mountpoint $pool)
-	log_must eval "$DU -a $mntpnt > $recordfile 2>&1"
+	log_must eval "du -a $mntpnt > $recordfile 2>&1"
 	#
 	# When the data was damaged, checksum is failing and return 1
 	# So, will not use log_must
 	#
-	$FIND $mntpnt -type f -exec $CKSUM {} + >> $recordfile 2>&1
+	find $mntpnt -type f -exec cksum {} + >> $recordfile 2>&1
 }
 
 #
@@ -112,7 +112,7 @@
 	done
 
 	if [[ ! -d $BASEDIR ]]; then
-		log_must $MKDIR $BASEDIR
+		log_must mkdir $BASEDIR
 	fi
 
 	if poolexists $pool ; then
@@ -119,22 +119,22 @@
 		destroy_pool $pool
 	fi
 
-	log_must $MKFILE $MINVDEVSIZE $vdevs
+	log_must mkfile $MINVDEVSIZE $vdevs
 
-	log_must $ZPOOL create -m $TESTDIR $pool $keyword $vdevs
+	log_must zpool create -m $TESTDIR $pool $keyword $vdevs
 
 	log_note "Filling up the filesystem ..."
 	typeset -i ret=0
 	typeset -i i=0
 	typeset file=$TESTDIR/file
-	while $TRUE ; do
-		$FILE_WRITE -o create -f $file.$i \
+	while true ; do
+		file_write -o create -f $file.$i \
 			-b $BLOCKSZ -c $NUM_WRITES
 		ret=$?
 		(( $ret != 0 )) && break
 		(( i = i + 1 ))
 	done
-	(($ret != 28 )) && log_note "$FILE_WRITE return value($ret) is unexpected."
+	(($ret != 28 )) && log_note "file_write return value($ret) is unexpected."
 
 	record_data $TESTPOOL $PRE_RECORD_FILE
 }
@@ -149,21 +149,21 @@
 	typeset pool=$1
 
 	typeset healthy_output="pool '$pool' is healthy"
-	typeset real_output=$($ZPOOL status -x $pool)
+	typeset real_output=$(zpool status -x $pool)
 
 	if [[ "$real_output" == "$healthy_output" ]]; then
 		return 0
 	else
 		typeset -i ret
-		$ZPOOL status -x $pool | $GREP "state:" | \
-			$GREP "FAULTED" >/dev/null 2>&1
+		zpool status -x $pool | grep "state:" | \
+			grep "FAULTED" >/dev/null 2>&1
 		ret=$?
 		(( $ret == 0 )) && return 1
 		typeset l_scan
 		typeset errnum
-		l_scan=$($ZPOOL status -x $pool | $GREP "scan:")
+		l_scan=$(zpool status -x $pool | grep "scan:")
 		l_scan=${l_scan##*"with"}
-		errnum=$($ECHO $l_scan | $AWK '{print $1}')
+		errnum=$(echo $l_scan | awk '{print $1}')
 
 		return $errnum
 	fi
@@ -179,7 +179,7 @@
 	typeset pool=$1
 
 	record_data $pool $PST_RECORD_FILE
-	if ! $DIFF $PRE_RECORD_FILE $PST_RECORD_FILE > /dev/null 2>&1; then
+	if ! diff $PRE_RECORD_FILE $PST_RECORD_FILE > /dev/null 2>&1; then
 		return 1
 	fi
 
@@ -197,13 +197,13 @@
 	typeset pool=$1
 	typeset -i cnt=$2
 
-	typeset all_devs=$($ZPOOL iostat -v $pool | $AWK '{print $1}'| \
-		$EGREP -v "^pool$|^capacity$|^mirror$|^raidz1$|^raidz2$|---" | \
-		$EGREP -v "/old$|^$pool$")
+	typeset all_devs=$(zpool iostat -v $pool | awk '{print $1}'| \
+		egrep -v "^pool$|^capacity$|^mirror$|^raidz1$|^raidz2$|---" | \
+		egrep -v "/old$|^$pool$")
 	typeset -i i=0
 	typeset vdevs
 	while ((i < cnt)); do
-		typeset dev=$($ECHO $all_devs | $AWK '{print $1}')
+		typeset dev=$(echo $all_devs | awk '{print $1}')
 		eval all_devs=\${all_devs##*$dev}
 
 		vdevs="$dev $vdevs"
@@ -210,7 +210,7 @@
 		((i += 1))
 	done
 
-	$ECHO "$vdevs"
+	echo "$vdevs"
 }
 
 #
@@ -222,20 +222,20 @@
 {
 	typeset pool=$1
 
-	log_must $SYNC
-	log_must $SLEEP 2
+	log_must sync
+	log_must sleep 2
 	# Flush all the pool data.
 	typeset -i ret
-	$ZPOOL scrub $pool >/dev/null 2>&1
+	zpool scrub $pool >/dev/null 2>&1
 	ret=$?
 	(( $ret != 0 )) && \
-		log_fail "$ZPOOL scrub $pool failed."
+		log_fail "zpool scrub $pool failed."
 
 	while ! is_pool_scrubbed $pool; do
 		if is_pool_resilvered $pool ; then
 			log_fail "$pool should not be resilver completed."
 		fi
-		log_must $SLEEP 2
+		log_must sleep 2
 	done
 }
 
@@ -252,11 +252,11 @@
 
 	typeset vdev
 	for vdev in $@; do
-		log_must $MKFILE $MINVDEVSIZE $vdev
-		log_must $ZPOOL replace -f $pool $vdev $vdev
+		log_must mkfile $MINVDEVSIZE $vdev
+		log_must zpool replace -f $pool $vdev $vdev
 		while true; do
 			if ! is_pool_resilvered $pool ; then
-				log_must $SLEEP 2
+				log_must sleep 2
 			else
 				break
 			fi
@@ -284,12 +284,12 @@
 	typeset dev
 	if [[ -n $label ]]; then
 		for dev in $vdevs; do
-			$DD if=/dev/zero of=$dev seek=512 bs=1024 \
+			dd if=/dev/zero of=$dev seek=512 bs=1024 \
 			    count=$bs_count conv=notrunc >/dev/null 2>&1
 		done
 	else
 		for dev in $vdevs; do
-			$DD if=/dev/zero of=$dev bs=1024 count=$bs_count \
+			dd if=/dev/zero of=$dev bs=1024 count=$bs_count \
 			    conv=notrunc >/dev/null 2>&1
 		done
 	fi
@@ -306,7 +306,7 @@
 {
 	typeset pool=$1
 
-	log_must $ZPOOL clear $pool
+	log_must zpool clear $pool
 
 	if ! is_healthy $pool ; then
 		log_note "$pool should be healthy."
@@ -333,7 +333,7 @@
 	typeset vdevs
 
 	vdevs=$(get_vdevs $pool $cnt)
-	log_must $RM -f $vdevs
+	log_must rm -f $vdevs
 
 	sync_pool $pool
 }
--- old/usr/src/test/zfs-tests/tests/functional/redundancy/redundancy_004_neg.ksh	Wed Aug 31 16:21:23 2016
+++ new/usr/src/test/zfs-tests/tests/functional/redundancy/redundancy_004_neg.ksh	Wed Aug 31 16:21:23 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/redundancy/redundancy.kshlib
@@ -54,7 +54,7 @@
 setup_test_env $TESTPOOL "" $cnt
 
 damage_devs $TESTPOOL 1 "keep_label"
-log_must $ZPOOL clear $TESTPOOL
+log_must zpool clear $TESTPOOL
 
 # Wait for the scrub intiated by the clear to wrap, or is_healthy will be wrong.
 while ! is_pool_scrubbed $TESTPOOL; do
--- old/usr/src/test/zfs-tests/tests/functional/refquota/refquota_001_pos.ksh	Wed Aug 31 16:21:24 2016
+++ new/usr/src/test/zfs-tests/tests/functional/refquota/refquota_001_pos.ksh	Wed Aug 31 16:21:24 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,9 +47,9 @@
 
 function cleanup
 {
-	log_must $ZFS destroy -rf $TESTPOOL/$TESTFS
-	log_must $ZFS create $TESTPOOL/$TESTFS
-	log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+	log_must zfs destroy -rf $TESTPOOL/$TESTFS
+	log_must zfs create $TESTPOOL/$TESTFS
+	log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 }
 
 log_assert "refquota limits the amount of space a dataset can consume, " \
@@ -58,20 +58,20 @@
 
 fs=$TESTPOOL/$TESTFS
 sub=$fs/sub
-log_must $ZFS create $sub
+log_must zfs create $sub
 
-log_must $ZFS set refquota=10M $fs
+log_must zfs set refquota=10M $fs
 mntpnt=$(get_prop mountpoint $fs)
 
-log_mustnot $MKFILE 11M $mntpnt/file
-log_must $MKFILE 9M $mntpnt/file
-log_must $ZFS snapshot $fs@snap
-log_mustnot $MKFILE 2M $mntpnt/file2
+log_mustnot mkfile 11M $mntpnt/file
+log_must mkfile 9M $mntpnt/file
+log_must zfs snapshot $fs@snap
+log_mustnot mkfile 2M $mntpnt/file2
 
 mntpnt=$(get_prop mountpoint $sub)
-log_must $MKFILE 10M $mntpnt/file
-log_must $ZFS snapshot $sub@snap
-log_must $MKFILE 10 $mntpnt/file2
+log_must mkfile 10M $mntpnt/file
+log_must zfs snapshot $sub@snap
+log_must mkfile 10 $mntpnt/file2
 
 log_pass "refquota limits the amount of space a dataset can consume, " \
 	"but does not include space used by descendents."
--- old/usr/src/test/zfs-tests/tests/functional/refquota/refquota_002_pos.ksh	Wed Aug 31 16:21:24 2016
+++ new/usr/src/test/zfs-tests/tests/functional/refquota/refquota_002_pos.ksh	Wed Aug 31 16:21:24 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,9 +47,9 @@
 
 function cleanup
 {
-	log_must $ZFS destroy -rf $TESTPOOL/$TESTFS
-	log_must $ZFS create $TESTPOOL/$TESTFS
-	log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+	log_must zfs destroy -rf $TESTPOOL/$TESTFS
+	log_must zfs create $TESTPOOL/$TESTFS
+	log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 }
 
 log_assert "Quotas are enforced using the minimum of the two properties"
@@ -57,11 +57,11 @@
 
 TESTFILE='testfile'
 fs=$TESTPOOL/$TESTFS
-log_must $ZFS set quota=15M $fs
-log_must $ZFS set refquota=25M $fs
+log_must zfs set quota=15M $fs
+log_must zfs set refquota=25M $fs
 
 mntpnt=$(get_prop mountpoint $fs)
-log_mustnot $MKFILE 20M $mntpnt/$TESTFILE
+log_mustnot mkfile 20M $mntpnt/$TESTFILE
 typeset -i used quota
 used=$(get_prop used $fs)
 quota=$(get_prop quota $fs)
@@ -74,11 +74,11 @@
 #
 # Switch the value of them and try again
 #
-log_must $RM $mntpnt/$TESTFILE
-log_must $ZFS set quota=25M $fs
-log_must $ZFS set refquota=15M $fs
+log_must rm $mntpnt/$TESTFILE
+log_must zfs set quota=25M $fs
+log_must zfs set refquota=15M $fs
 
-log_mustnot $MKFILE 20M $mntpnt/$TESTFILE
+log_mustnot mkfile 20M $mntpnt/$TESTFILE
 used=$(get_prop used $fs)
 refquota=$(get_prop refquota $fs)
 ((used = used / (1024 * 1024)))
--- old/usr/src/test/zfs-tests/tests/functional/refquota/refquota_003_pos.ksh	Wed Aug 31 16:21:24 2016
+++ new/usr/src/test/zfs-tests/tests/functional/refquota/refquota_003_pos.ksh	Wed Aug 31 16:21:24 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -45,9 +45,9 @@
 
 function cleanup
 {
-	log_must $ZFS destroy -rf $TESTPOOL/$TESTFS
-	log_must $ZFS create $TESTPOOL/$TESTFS
-	log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+	log_must zfs destroy -rf $TESTPOOL/$TESTFS
+	log_must zfs create $TESTPOOL/$TESTFS
+	log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 }
 
 log_assert "Sub-filesystem quotas are not enforced by property 'refquota'"
@@ -55,12 +55,12 @@
 
 TESTFILE='testfile'
 fs=$TESTPOOL/$TESTFS
-log_must $ZFS set quota=25M $fs
-log_must $ZFS set refquota=10M $fs
-log_must $ZFS create $fs/subfs
+log_must zfs set quota=25M $fs
+log_must zfs set refquota=10M $fs
+log_must zfs create $fs/subfs
 
 mntpnt=$(get_prop mountpoint $fs/subfs)
-log_must $MKFILE 20M $mntpnt/$TESTFILE
+log_must mkfile 20M $mntpnt/$TESTFILE
 
 typeset -i used quota refquota
 used=$(get_prop used $fs)
@@ -71,7 +71,7 @@
 	log_fail "ERROR: $used < $refquota subfs quotas are limited by refquota"
 fi
 
-log_mustnot $MKFILE 20M $mntpnt/$TESTFILE.2
+log_mustnot mkfile 20M $mntpnt/$TESTFILE.2
 used=$(get_prop used $fs)
 quota=$(get_prop quota $fs)
 ((used = used / (1024 * 1024)))
--- old/usr/src/test/zfs-tests/tests/functional/refquota/refquota_004_pos.ksh	Wed Aug 31 16:21:24 2016
+++ new/usr/src/test/zfs-tests/tests/functional/refquota/refquota_004_pos.ksh	Wed Aug 31 16:21:24 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -45,9 +45,9 @@
 
 function cleanup
 {
-	log_must $ZFS destroy -rf $TESTPOOL/$TESTFS
-	log_must $ZFS create $TESTPOOL/$TESTFS
-	log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+	log_must zfs destroy -rf $TESTPOOL/$TESTFS
+	log_must zfs create $TESTPOOL/$TESTFS
+	log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 }
 
 log_assert "refquotas are not limited by snapshots."
@@ -55,15 +55,15 @@
 
 TESTFILE='testfile'
 fs=$TESTPOOL/$TESTFS
-log_must $ZFS set quota=25M $fs
-log_must $ZFS set refquota=15M $fs
+log_must zfs set quota=25M $fs
+log_must zfs set refquota=15M $fs
 
 mntpnt=$(get_prop mountpoint $fs)
 typeset -i i=0
 while ((i < 3)); do
-	log_must $MKFILE 7M $mntpnt/$TESTFILE.$i
-	log_must $ZFS snapshot $fs@snap.$i
-	log_must $RM $mntpnt/$TESTFILE.$i
+	log_must mkfile 7M $mntpnt/$TESTFILE.$i
+	log_must zfs snapshot $fs@snap.$i
+	log_must rm $mntpnt/$TESTFILE.$i
 
 	((i += 1))
 done
@@ -71,6 +71,6 @@
 #
 # Verify out of the limitation of 'quota'
 #
-log_mustnot $MKFILE 7M $mntpnt/$TESTFILE
+log_mustnot mkfile 7M $mntpnt/$TESTFILE
 
 log_pass "refquotas are not limited by snapshots."
--- old/usr/src/test/zfs-tests/tests/functional/refquota/refquota_005_pos.ksh	Wed Aug 31 16:21:24 2016
+++ new/usr/src/test/zfs-tests/tests/functional/refquota/refquota_005_pos.ksh	Wed Aug 31 16:21:24 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -45,9 +45,9 @@
 
 function cleanup
 {
-	log_must $ZFS destroy -rf $TESTPOOL/$TESTFS
-	log_must $ZFS create $TESTPOOL/$TESTFS
-	log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+	log_must zfs destroy -rf $TESTPOOL/$TESTFS
+	log_must zfs create $TESTPOOL/$TESTFS
+	log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 }
 
 log_assert "refquotas are not limited by sub-filesystem snapshots."
@@ -55,16 +55,16 @@
 
 TESTFILE='testfile'
 fs=$TESTPOOL/$TESTFS
-log_must $ZFS set quota=25M $fs
-log_must $ZFS set refquota=15M $fs
-log_must $ZFS create $fs/subfs
+log_must zfs set quota=25M $fs
+log_must zfs set refquota=15M $fs
+log_must zfs create $fs/subfs
 
 mntpnt=$(get_prop mountpoint $fs/subfs)
 typeset -i i=0
 while ((i < 3)); do
-	log_must $MKFILE 7M $mntpnt/$TESTFILE.$i
-	log_must $ZFS snapshot $fs/subfs@snap.$i
-	log_must $RM $mntpnt/$TESTFILE.$i
+	log_must mkfile 7M $mntpnt/$TESTFILE.$i
+	log_must zfs snapshot $fs/subfs@snap.$i
+	log_must rm $mntpnt/$TESTFILE.$i
 
 	((i += 1))
 done
@@ -72,6 +72,6 @@
 #
 # Verify out of the limitation of 'quota'
 #
-log_mustnot $MKFILE 7M $mntpnt/$TESTFILE
+log_mustnot mkfile 7M $mntpnt/$TESTFILE
 
 log_pass "refquotas are not limited by sub-filesystem snapshots"
--- old/usr/src/test/zfs-tests/tests/functional/refquota/refquota_006_neg.ksh	Wed Aug 31 16:21:24 2016
+++ new/usr/src/test/zfs-tests/tests/functional/refquota/refquota_006_neg.ksh	Wed Aug 31 16:21:24 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -45,8 +45,8 @@
 
 function cleanup
 {
-	log_must $ZFS set refquota=none $TESTPOOL/$TESTFS
-	log_must $ZFS set refreserv=none $TESTPOOL/$TESTFS
+	log_must zfs set refquota=none $TESTPOOL/$TESTFS
+	log_must zfs set refreserv=none $TESTPOOL/$TESTFS
 }
 
 log_assert "'zfs set refquota' can handle incorrect arguments correctly."
@@ -61,8 +61,8 @@
 
 typeset -i i=0
 while ((i < ${#badopt[@]})); do
-	log_mustnot $ZFS set refquota=${badopt[$i]} $TESTPOOL/$TESTFS
-	log_mustnot $ZFS set refreserv=${badopt[$i]} $TESTPOOL/$TESTFS
+	log_mustnot zfs set refquota=${badopt[$i]} $TESTPOOL/$TESTFS
+	log_mustnot zfs set refreserv=${badopt[$i]} $TESTPOOL/$TESTFS
 
 	((i += 1))
 done
--- old/usr/src/test/zfs-tests/tests/functional/refreserv/refreserv_001_pos.ksh	Wed Aug 31 16:21:24 2016
+++ new/usr/src/test/zfs-tests/tests/functional/refreserv/refreserv_001_pos.ksh	Wed Aug 31 16:21:24 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,9 +47,9 @@
 
 function cleanup
 {
-	log_must $ZFS destroy -rf $TESTPOOL/$TESTFS
-	log_must $ZFS create $TESTPOOL/$TESTFS
-	log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+	log_must zfs destroy -rf $TESTPOOL/$TESTFS
+	log_must zfs create $TESTPOOL/$TESTFS
+	log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 }
 
 log_assert "Reservations are enforced using the maximum of " \
@@ -57,19 +57,19 @@
 log_onexit cleanup
 
 fs=$TESTPOOL/$TESTFS ; subfs=$fs/subfs
-log_must $ZFS create $subfs
-log_must $ZFS set quota=25M $fs
+log_must zfs create $subfs
+log_must zfs set quota=25M $fs
 
-log_must $ZFS set reserv=10M $subfs
-log_must $ZFS set refreserv=20M $subfs
+log_must zfs set reserv=10M $subfs
+log_must zfs set refreserv=20M $subfs
 mntpnt=$(get_prop mountpoint $fs)
-log_mustnot $MKFILE 15M $mntpnt/$TESTFILE
+log_mustnot mkfile 15M $mntpnt/$TESTFILE
 
-log_must $RM -f $mntpnt/$TESTFILE
+log_must rm -f $mntpnt/$TESTFILE
 
-log_must $ZFS set reserv=20M $subfs
-log_must $ZFS set refreserv=10M $subfs
-log_mustnot $MKFILE 15M $mntpnt/$TESTFILE
+log_must zfs set reserv=20M $subfs
+log_must zfs set refreserv=10M $subfs
+log_mustnot mkfile 15M $mntpnt/$TESTFILE
 
 log_pass "Reservations are enforced using the maximum of " \
 	"'reserv' and 'refreserv'"
--- old/usr/src/test/zfs-tests/tests/functional/refreserv/refreserv_002_pos.ksh	Wed Aug 31 16:21:24 2016
+++ new/usr/src/test/zfs-tests/tests/functional/refreserv/refreserv_002_pos.ksh	Wed Aug 31 16:21:24 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,15 +48,15 @@
 function cleanup
 {
 	if is_global_zone ; then
-		log_must $ZFS set refreservation=none $TESTPOOL
+		log_must zfs set refreservation=none $TESTPOOL
 
 		if datasetexists $TESTPOOL@snap ; then
-			log_must $ZFS destroy -f $TESTPOOL@snap
+			log_must zfs destroy -f $TESTPOOL@snap
 		fi
 	fi
-	log_must $ZFS destroy -rf $TESTPOOL/$TESTFS
-	log_must $ZFS create $TESTPOOL/$TESTFS
-	log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+	log_must zfs destroy -rf $TESTPOOL/$TESTFS
+	log_must zfs create $TESTPOOL/$TESTFS
+	log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 }
 
 # This function iteratively increases refreserv to its highest possible
@@ -68,9 +68,9 @@
 	typeset -i incsize=131072
 	typeset -i rr=$(get_prop available $ds)
 
-	log_must $ZFS set refreserv=$rr $ds
+	log_must zfs set refreserv=$rr $ds
 	while :; do
-		$ZFS set refreserv=$((rr + incsize)) $ds >/dev/null 2>&1
+		zfs set refreserv=$((rr + incsize)) $ds >/dev/null 2>&1
 		if [[ $? == 0 ]]; then
 			((rr += incsize))
 			continue
@@ -86,7 +86,7 @@
 	"can be created."
 log_onexit cleanup
 
-log_must $ZFS create $TESTPOOL/$TESTFS/subfs
+log_must zfs create $TESTPOOL/$TESTFS/subfs
 
 typeset datasets
 if is_global_zone; then
@@ -99,15 +99,15 @@
 	#
 	# Verify refreservation on dataset
 	#
-	log_must $ZFS set quota=25M $ds
+	log_must zfs set quota=25M $ds
 	max_refreserv $ds
-	log_mustnot $ZFS snapshot $ds@snap
+	log_mustnot zfs snapshot $ds@snap
 	if datasetexists $ds@snap ; then
 		log_fail "ERROR: $ds@snap should not exists."
 	fi
 
-	log_must $ZFS set quota=none $ds
-	log_must $ZFS set refreservation=none $ds
+	log_must zfs set quota=none $ds
+	log_must zfs set refreservation=none $ds
 done
 
 log_pass "Setting full size as refreservation, verify no snapshot " \
